Medusa 4 DON'T work on OpenSuSE 11

Installation, supported revisions
Post Reply
johnny
Posts: 4
Joined: Tue Sep 30, 2008 7:11 pm

Medusa 4 DON'T work on OpenSuSE 11

Post by johnny » Tue Sep 30, 2008 6:29 pm

Hi!
I obtained my Medusa license then downloaded the program and installed it on my OpenSuse 11 but it don't work

/opt/medusa4_pers_v3_0/master_project> ./startmedusa

This is the error message
setenv: Troppi argomenti.
/opt/medusa4_pers_v3_0/medsys/med/run/wsenq: error while loading shared libraries: libg2c.so.0: cannot open shared object file: No such file or directory
wsquery: Indice fuori scala.

gcc --version
gcc (SUSE Linux) 4.3.1 20080507 (prerelease) [gcc-4_3-branch revision 135036]

simong
Posts: 48
Joined: Wed Jul 04, 2007 1:14 pm

Medusa 4 DON'T work on OpenSuSE 11

Post by simong » Wed Oct 01, 2008 6:15 pm

Try using YaST to get these packages
gcc34-3.4.6-4.1
compat-g77-3.3.5-42.1

MEDUSA is built using old compiler version than you have installed and needs the shared libs from those version to run

johnny
Posts: 4
Joined: Tue Sep 30, 2008 7:11 pm

Medusa 4 DON'T work on OpenSuSE 11

Post by johnny » Fri Oct 03, 2008 12:14 pm

HI! Thanks for the answer

I have installed compat-g77-3.3.5-42.1
Now I have this error: error while loading shared libraries: libjvm.so: cannot open shared object file: No such file or directory

libcgj43 are installed (provide libjvm.so)

I have created a symbolic link to /usr/lib/gcj-4.3-9/libjvm.so
but it continues not to work
Same error

simong
Posts: 48
Joined: Wed Jul 04, 2007 1:14 pm

Medusa 4 DON'T work on OpenSuSE 11

Post by simong » Mon Oct 06, 2008 2:59 pm

The scripts created by MEDUSA are csh based. I think you are probably using a bash shell so they are not working properly. The java lib you report in the last message is actually supplied as part of MEDUSA. I would make sure you are in a csh by issuing command /bin/csh then try the script again. If csh is not found you may need to install it with YaST

johnny
Posts: 4
Joined: Tue Sep 30, 2008 7:11 pm

Medusa 4 DON'T work on OpenSuSE 11

Post by johnny » Tue Oct 07, 2008 1:13 pm

Hi!

[quote]
I would make sure you are in a csh by issuing command /bin/csh
[/quote]

Using csh to run script I obtain this error:
/opt/medusa4_pers_v3_0/med2d/m2d/run/draft: symbol lookup error: /usr/lib/libXft.so.2: undefined symbol: FT_Library_SetLcdFilter

simong
Posts: 48
Joined: Wed Jul 04, 2007 1:14 pm

Medusa 4 DON'T work on OpenSuSE 11

Post by simong » Tue Oct 07, 2008 3:45 pm

trying going into medsys/med/share below your install point and renaming libfreetype.so.6 to libfreetype.so.6.orig

johnny
Posts: 4
Joined: Tue Sep 30, 2008 7:11 pm

Medusa 4 DON'T work on OpenSuSE 11

Post by johnny » Tue Oct 07, 2008 10:09 pm

Hi!

OK! Very well. It work! :-)
Thank you very much

Post Reply